Bug 118228 - [PATCH] science/hdf5: update to 1.6.6
Summary: [PATCH] science/hdf5: update to 1.6.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-23 21:20 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2007-12-13 19:01 UTC (History)
1 user (show)

See Also:


Attachments
hdf5-1.6.6.patch (1.02 KB, patch)
2007-11-23 21:20 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2007-11-23 21:20:00 UTC
- Update to 1.6.6

Port maintainer (koziol@hdfgroup.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2007-11-23 21:20:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 koziol 2007-11-23 22:07:45 UTC
On Nov 23, 2007, at 3:20 PM, Edwin Groothuis wrote:

> Maintainer of science/hdf5,
>
> Please note that PR ports/118228 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

	Looks good to me. :-)

		Quincey

>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/118228
>
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2007-11-24 06:50:33 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 Marcelo Araujo freebsd_committer 2007-11-27 02:52:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 5 Marcelo Araujo freebsd_committer 2007-12-13 10:35:44 UTC
State Changed
From-To: open->repocopy

science/hdf5/files/patch-c++::commence.in 

to 

science/hdf5/files/patch-c++-commence.in 

and 

science/hdf5/files/patch-c++::configure 

to 

science/hdf5/files/patch-c++-configure 

- Follow the new patch files name, repocopy so that history is 
maintained.
Comment 6 Marcelo Araujo freebsd_committer 2007-12-13 10:48:13 UTC
Responsible Changed
From-To: araujo->portmgr

- Portmgr's Territory.
Comment 7 Pav Lucistnik freebsd_committer 2007-12-13 11:56:52 UTC
What the reason to repocopy these patch files? I think the old names are
just fine.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Video games don't affect kids, I mean if Pac Man affected us as kids,
we'd all run around in a darkened room munching pills and listening to
repetitive music.
  -- Kristian Wilson, CEO at Nintendo Gaming Corporation Inc
Comment 8 araujobsdport 2007-12-13 13:05:52 UTC
Pav Lucistnik wrote:
> What the reason to repocopy these patch files? I think the old names are
> just fine.
>
>   

Hey dear Pav,

Inside PORTERS-HANDBOOK, exactly on section '4.4 Patching' we has a
short explanation about the 'names of files':

"Please only use characters [-+._a-zA-Z0-9] for naming your patches. Do
not use any other characters besides them. Do not name your patches like
patch-aa or patch-ab etc, always mention path and file name in patch names."

I checked with portlint and him show me the warning about the names.
I remember I did the same in another ports.

portlint:

"araujo@island hdf5> portlint -ac
WARN: files/patch-c++::commence.in: only use characters [-_.a-zA-Z0-9+]
for patch or script names.
WARN: files/patch-c++::configure: only use characters [-_.a-zA-Z0-9+]
for patch or script names.
FATAL: CVS directory ./scripts missing
1 fatal error and 2 warnings found."

What do you think about it?

Thanks my friend.

-- 
Marcelo Araujo            (__)
araujo@FreeBSD.org     \\\'',)
http://www.FreeBSD.org   \/  \ ^
Power To Server.         .\. /_)

Comment 9 Pav Lucistnik freebsd_committer 2007-12-13 13:08:51 UTC
> Inside PORTERS-HANDBOOK, exactly on section '4.4 Patching' we has a
> short explanation about the 'names of files':
> 
> "Please only use characters [-+._a-zA-Z0-9] for naming your patches. Do
> not use any other characters besides them. Do not name your patches like
> patch-aa or patch-ab etc, always mention path and file name in patch names."
> 
> I checked with portlint and him show me the warning about the names.
> I remember I did the same in another ports.

The policy is relevant for newly added patch files.  We don't encourage
renaming existing files just for the sake of renaming.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Orfax's hip flask contained Old Janx Spirit, a mixture of potions of
stupidity, paralysis, naivery, ruination, lose memories, confusion,
and slime mold juice, with a twist of lemon.
    - from a post on Angband Community Forum
Comment 10 araujobsdport 2007-12-13 13:13:39 UTC
Pav Lucistnik wrote:
>> Inside PORTERS-HANDBOOK, exactly on section '4.4 Patching' we has a
>> short explanation about the 'names of files':
>>
>> "Please only use characters [-+._a-zA-Z0-9] for naming your patches. Do
>> not use any other characters besides them. Do not name your patches like
>> patch-aa or patch-ab etc, always mention path and file name in patch names."
>>
>> I checked with portlint and him show me the warning about the names.
>> I remember I did the same in another ports.
>>     
>
> The policy is relevant for newly added patch files.  We don't encourage
> renaming existing files just for the sake of renaming.
>
>   

Hey Pav,

OK, I understood the point!
Could you assign the PR to me again?

Best Regards.

-- 
Marcelo Araujo            (__)
araujo@FreeBSD.org     \\\'',)
http://www.FreeBSD.org   \/  \ ^
Power To Server.         .\. /_)

Comment 11 Pav Lucistnik freebsd_committer 2007-12-13 13:17:04 UTC
State Changed
From-To: repocopy->open

Back to requestor 


Comment 12 Pav Lucistnik freebsd_committer 2007-12-13 13:17:04 UTC
Responsible Changed
From-To: portmgr->araujo

Back to requestor
Comment 13 dfilter service freebsd_committer 2007-12-13 18:55:07 UTC
araujo      2007-12-13 18:55:03 UTC

  FreeBSD ports repository

  Modified files:
    science/hdf5         Makefile distinfo pkg-plist 
  Log:
  - Update to 1.6.6.
  
  PR:             ports/118228
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet@sunpoet.net>
  Approved by:    Quincey Koziol <koziol@hdfgroup.org> (maintainer), stas (mentor, implicit)
  
  Revision  Changes    Path
  1.43      +1 -1      ports/science/hdf5/Makefile
  1.16      +3 -3      ports/science/hdf5/distinfo
  1.19      +19 -2     ports/science/hdf5/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Marcelo Araujo freebsd_committer 2007-12-13 19:01:14 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!